#include <bits/stdc++.h>

using i64 = long long;

int main() {
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);

    i64 h, w;
    std::cin >> h >> w;

    i64 H = h, W = w;

    i64 ans = 0;
    while (true) {
        if (h == 0 || w == 0) break;
        i64 c = std::max((H / h) * (W / w), (H / w) * (W / h));
        ans += c * h * w;
        if (h > w) {
            h -= 1;
        } else {
            w -= 1;
        }
    }
    std::cout << ans << "\n";

    return 0;
}